Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.theme
Class ThemeIDBuilder

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<ThemeID>
              com.bea.portal.tools.portal.theme.ThemeIDBuilder

All Implemented Interfaces
  Serializable, Cloneable

    public final class ThemeIDBuilder

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<ThemeID>

Builds and parses `ThemeID`.

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`ThemeIDBuilder()` Constructor.

Method Summary
`ThemeID` | `createResourceID()` Create the `ThemeDefinitionsID`.
`int` | `getId()` Get the identifier of the referrent theme definition.
`ThemeDefinitionId` | `getThemeDefinitionId()` Get the `ThemeDefinitionId`.
`ThemeIDBuilder` | `parseResourceURN(String resourceURN)` Parse the given URN.
`ThemeIDBuilder` | `setId(Integer id)` Change the identifier of the referrent theme definition.
`ThemeIDBuilder` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)` Change the `ThemeDefinitionId`.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThemeIDBuilder

    public ThemeIDBuilder()

  Constructor.

Method Detail

### parseResourceURN

    public ThemeIDBuilder parseResourceURN(String resourceURN)

  Parse the given URN. resourceURN the URN of the referrent resource this `ThemeDefinitionsIDBuilder`

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<ThemeID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `ResourceIDBuilder`

### getId

    public int getId()

  Get the identifier of the referrent theme definition.

  Returns
    the identifier of the referrent theme definition

### setId

    public ThemeIDBuilder setId(Integer id)

  Change the identifier of the referrent theme definition.

  Parameters
    `id` - the identifier of the referrent theme definition
  Returns
    this `ThemeIDBuilder`

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

  Get the `ThemeDefinitionId`.

  Returns
    the `ThemeDefinitionId`

### setThemeDefinitionId

    public ThemeIDBuilder setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

  Change the `ThemeDefinitionId`.

  Parameters
    `themeDefinitionId` - the `ThemeDefinitionId`
  Returns
    this `ThemeDefinitionIDBuilder`

### createResourceID

    public ThemeID createResourceID()

  Create the `ThemeDefinitionsID`. the `ThemeDefinitionsID`

  Overrides:
    `createResourceID` in class `ResourceIDBuilder<ThemeID>`
  Returns
    the `ResourceID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.